#
# spec file for package vino (Version 2.12.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vino
BuildRequires:  gnome-common gnome-desktop-devel gnutls-devel gtkdoc intltool kdelibs3-doc libglade2-devel libgnomeui-devel libidl libnotify-devel mDNSResponder-devel perl-XML-Parser scrollkeeper sharutils update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        2.12.0
Release:        25.23.43
Summary:        GNOME VNC Server
Source:         vino-%{version}.tar.bz2
Patch:          vino-desktop.patch
Patch2:         vino-xgl.patch
Patch3:         vino-196556-rfb38.patch
Patch4:         vino-196556-i18n.patch
Patch5:         vino-status-icon.patch
Patch6:         french_for_vino.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem /usr/bin/touch gconf2

%description
A VNC Server for GNOME



Authors:
--------
    This is just another re-incarnation of many other similar projects:
     
     + libvncserver by Johannes E. Schindelin
         which in turn is based on:
           - OSXvnc by Dan McGuirk
           - The original Xvnc by AT&T Laboratories, Cambridge
           - TightVNC by Const Kaplinsky
           - RealVNC by James "Wez" Weatherall
          
     + krfb, KDE's desktop sharing server, by Tim Jansen
     + x11vnc.c (from libvncserver) by Karl J. Runge
     + x0rfbserver, the original native X vnc server, by Jens Wagner
     
    Much code and ideas from each of those projects is re-used here.

%prep
%setup
%patch
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
# requires gtkdoc gnome-common
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include -fno-strict-aliasing " \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --libexecdir=%{prefix}/lib/gnome-applets \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL 
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --check --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
%suse_update_desktop_file vino-preferences System X-SuSE-ControlCenter-System
%find_lang %{name}

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/vino-server.schemas >/dev/null

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{sysconfdir}/gconf/schemas/vino-server.schemas
%{prefix}/bin/vino-preferences
%{prefix}/%_lib/bonobo/servers/*
%{prefix}/lib/gnome-applets/*
%{prefix}/share/applications/*
%{prefix}/share/gnome/vino
%{prefix}/share/icons/hicolor

%changelog
* Fri Jun 12 2009 bili@suse.de
- Add french_for_vino.patch for french translation(bnc#395730).
* Thu Feb  7 2008 rodrigo@suse.de
- Added patch from PSA's PTF in bnc#217377
- Added libnotify-devel to BuildRequires, needed by
  vino-status-icon.patch
* Mon Jan  8 2007 danw@suse.de
- Add vino-196556-i18n.patch including changes from vino CVS to make
  Alt-Gr work correctly Linux->Vino, and additional fixes to make
  international keyboards work Windows->Vino, and to make non-Latin1
  keys work Linux/Windows->Vino. #196556
- Add vino-196556-rfb38.patch to make vino support RFB 3.8 to work
  work the broken client at the customer site, which erroneously
  doesn't support 3.7. (Also part of #196556.)
* Thu May 11 2006 danw@suse.de
- Add fallback code so this still works if the X server doesn't
  support XShm shared pixmaps (eg, Xgl). #173173
* Thu Apr 13 2006 sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of old ones.
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 25 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 rodrigo@suse.de
- Added vino-desktop.patch (#131371)
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 2.12.0.
* Thu Aug 25 2005 gekker@suse.de
- Update to version 2.11.92
* Tue Aug  2 2005 sbrabec@suse.cz
- Updated to version 2.11.90.
* Wed Jun 22 2005 gekker@suse.de
- Update to version 2.11.1.2
* Thu Mar 10 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Jan 24 2005 ro@suse.de
- fix build on lib64
* Sat Jan 22 2005 clahey@suse.de
- Initial import.
